import React from 'react';
import { expect } from "chai";
import { mount } from 'enzyme';
import { AAAPrimaryTheme, SVGLoader } from '..';
import phoneImage from '../../../Images/phone.svg';

function renderSVG() {
  return mount(React.createElement(AAAPrimaryTheme, null, React.createElement(SVGLoader, {
    svgIcon: phoneImage
  })));
}

describe("SVG", function () {
  it('Render a SVG file', function () {
    var createSVComponent = renderSVG();
    expect(createSVComponent.length).to.equal(1);
  });
});